<?php
/**
 * @file
 * Administrative page for the Imagefield default alt and title module.
 */

/**
 * Imagefield default alt and title config form.
 */
function imagefield_default_alt_and_title_form($form, &$form_state) {
  $form = array();

  $form['imagefield_default_alt_and_title_entity_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Entity types'),
    '#options' => _imagefield_default_alt_and_title_entity_list(),
    '#default_value' => variable_get('imagefield_default_alt_and_title_entity_types', array()),
  );

  return system_settings_form($form);
}

/**
 * Load all entity types available on the site.
 */
function _imagefield_default_alt_and_title_entity_list() {
  $all_types = array();
  $use_entitys = array('commerce_product', 'node', 'taxonomy_term');
  $entity_all_types_list = entity_get_info();
  if (!empty($entity_all_types_list)) {
    foreach ($entity_all_types_list as $key => $data) {
      if (in_array($key, $use_entitys)) {
        foreach ($data['bundles'] as $key_bundles => $data_bundles) {
          $all_types[$key_bundles] = $key_bundles;
        }
      }
    }
  }

  return $all_types;
}
